SortedNumericDocValuesMultiRangeQuery (Lucene 10.5.1 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: SortedNumericDocValuesMultiRangeQuery

Package org.apache.lucene.sandbox.search

# Class SortedNumericDocValuesMultiRangeQuery

java.lang.Object
org.apache.lucene.search.Query
org.apache.lucene.sandbox.search.SortedNumericDocValuesMultiRangeQuery

public class SortedNumericDocValuesMultiRangeQuery extends Query
A union multiple ranges over SortedNumericDocValuesField

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected class`
  `SortedNumericDocValuesMultiRangeQuery.MultiRangeWeight`
  Weight for SortedNumericDocValuesMultiRangeQuery

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `fieldName`
  `protected final NavigableSet<DocValuesMultiRangeQuery.LongRange>`
  `sortedClauses`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SortedNumericDocValuesMultiRangeQuery(String fieldName, List<DocValuesMultiRangeQuery.LongRange> clauses)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Weight`
  `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString(String fld)`
  `void`
  `visit(QueryVisitor visitor)`

  ### Methods inherited from class org.apache.lucene.search.Query

  `classHash, rewrite, sameClassAs, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fieldName

    protected final String fieldName

  - ### sortedClauses

    protected final NavigableSet<DocValuesMultiRangeQuery.LongRange> sortedClauses

- ## Constructor Details

  - ### SortedNumericDocValuesMultiRangeQuery

    protected SortedNumericDocValuesMultiRangeQuery(String fieldName, List<DocValuesMultiRangeQuery.LongRange> clauses)

- ## Method Details

  - ### toString

    public String toString(String fld)
    Specified by:
      `toString` in class `Query`

  - ### createWeight

    public Weight createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost) throws IOException
    Overrides:
      `createWeight` in class `Query`
    Throws:
      `IOException`

  - ### visit

    public void visit(QueryVisitor visitor)
    Specified by:
      `visit` in class `Query`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `Query`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `Query`